View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000511Ecere SDKidepublic2010-07-28 14:472013-09-23 07:33
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.07Fixed in Version0.44.07 
Summary0000511: Reloading of modified 'added' (e.g. shared libraries dependencies) projects & Hangs on reloading projects
Description- Project file monitoring must be reimplemented using a FileMonitor not within a Window to support multiple projects
- Make sure the reloading is done right and does not hang anymore
TagsNo tags attached.
Attached Files

- Relationships
related to 0000627closed Reloading workspace while in menus (recent projects?) 
related to 0000756closedjerome When reloading both a source (.ec) and project (.epj) file at once (e.g. with git checkout), IDE crashes 
related to 0000757closedredj Modalness of reload dialog boxes is broken 
related to 0000626closedjerome when closing ide if added project is modified, "do you want to save" message is wrong about main project name vs added project n 

-  Notes
(0000306)
redj (administrator)
2010-08-01 18:45

added projects don't have their own window. the current monitoring technique uses windows and OnFileModified to monitor files.

suggestion on how to fix?
(0000316)
jerome (administrator)
2010-08-07 16:28

Don't use a window anymore, use a FileMonitor directly for each loaded project, or at least for the added projects.
(0000373)
jerome (administrator)
2010-09-05 02:57
edited on: 2012-07-12 04:38

also related to monitors, IDE crash on saying yes to reload .epj when you save modified epj while compiling in linux
(This has been reported as issue 0000756)

(0000618)
jerome (administrator)
2012-07-12 06:19

Fixed by https://github.com/ecere/sdk/commit/803f4de51321e14505b15c611b831ea366e6a974 [^]

- Issue History
Date Modified Username Field Change
2010-07-28 14:47 jerome New Issue
2010-07-28 14:47 jerome Relationship added child of 0000429
2010-08-01 18:45 redj Note Added: 0000306
2010-08-01 18:45 redj Status new => feedback
2010-08-07 16:28 jerome Note Added: 0000316
2010-08-07 17:19 jerome Assigned To => redj
2010-08-07 17:19 jerome Status feedback => assigned
2010-09-05 02:57 jerome Note Added: 0000373
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:42 redj Relationship deleted child of 0000429
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2012-07-12 03:15 jerome Summary Reloading of modified 'added' (e.g. shared libraries dependencies) projects => Reloading of modified 'added' (e.g. shared libraries dependencies) projects & Hangs on reloading projects
2012-07-12 03:15 jerome Description Updated
2012-07-12 03:15 jerome Relationship added related to 0000627
2012-07-12 03:40 jerome Relationship added related to 0000756
2012-07-12 03:42 jerome Relationship added related to 0000757
2012-07-12 04:32 jerome Relationship added related to 0000626
2012-07-12 04:38 jerome Note Edited: 0000373
2012-07-12 04:38 jerome Note Edited: 0000373
2012-07-12 06:19 jerome Status assigned => resolved
2012-07-12 06:19 jerome Fixed in Version => 0.44.1 Android
2012-07-12 06:19 jerome Resolution open => fixed
2012-07-12 06:19 jerome Note Added: 0000618
2013-04-25 21:37 jerome Target Version 0.45 Ginkakuji => 0.44.07
2013-05-19 22:15 jerome Status resolved => closed
2013-09-23 07:33 jerome Fixed in Version 0.44.12 Fixes => 0.44.07



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker